{% extends "base.html" %}

{% block content %}

  {% if form.errors %}
    <div class='container-fluid mt-3'>
        <div class="alert alert-warning alert-dismissible" role="alert">
            Your username and password didn't match. Please try again.
          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
    </div>
  {% endif %}
  
  {% if next %}
    {% if user.is_authenticated %}
    <div class='container-fluid mt-3'>
        <div class="alert alert-warning alert-dismissible" role="alert">
            Your account doesn't have access to this page. To proceed,
            please login with an account that has access.
          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
    </div>
    {% else %}
    <div class='container-fluid mt-3'>
          <div class="alert alert-info alert-dismissible" role="alert">
            Please login to see this page.
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
      </div>
    {% endif %}
  {% endif %}
  <div class="d-flex justify-content-center align-items-center container ">
      <div class="row ">
        <form method="post" action="{% url 'login' %}">
            {% csrf_token %}
            <div class="form-group" style="margin-top:100px">
              <div class="alert alert-secondary" role="alert">
                Please contact Wilko Graf von Hardenberg at <i><a class='alert-link' href='mailto:whardenberg@mpiwg-berlin.mpg.de'>whardenberg@mpiwg-berlin.mpg.de</a></i> if you wish to obtain an account.
              </div>
                <div class="form-group">
                    <label for="id_username">Username</label>
                    <input class='form-control' type="text" name="username" autofocus required id="id_username">
                </div>
                <div class="form-group">
                    <label for="id_password">Password</label>
                    <input class='form-control' type="password" name="password" required id="id_password">
                </div>
                <input type="submit" class='btn btn-success btn-block' value="login" />
                <input type="hidden" name="next" value="" />
                {# Assumes you setup the password_reset view in your URLconf #}
                <br/>
                <p><a href="{% url 'password_reset' %}">Lost password?</a></p>
            </div>
        </form>
    </div>
    </div>  
{% endblock %}